package com.example.BeanFlavored;

import com.sun.xml.internal.xsom.impl.scd.Iterators;
import org.assertj.core.util.Lists;

import java.util.Collection;
import java.util.List;

public class Instructor extends Person implements Teacher{


    public Instructor(Long id, String name) {
        super(id, name);
    }

    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }

    public void lecture(Iterable<? extends Learner> learners, double numberOfHours) {
        List list = Lists.newArrayList(learners);
        int count = list.size();
        for(Learner l:learners){
            l.learn(numberOfHours/count);
        }
    }
}
