package com.example.BeanFlavored;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TestAlumni {
    private Students students;
    private Instructors instructors;
    private Alumni alumni;

    @Before
    public void setUp() {
        students = new Students(new Student(01L,"Student1"),
                new Student(02L,"Student2"));
        instructors = new Instructors(new Instructor(001L, "Teacher1"),
                new Instructor(002L,"Teacher2"));
        alumni = new Alumni(students,instructors);

    }

    @Test
    public void testExecuteBootCamp(){
        alumni.executeBootcamp();
        for(Student s:alumni.getStudents().findAll()){
            Assert.assertEquals(1200,s.getTotalStudyTime(),0.01);
        }
    }
}
