package com.example.BeanFlavored;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class TestClassroomConfig {
    private Classroom cohort;
    private Classroom prevCohort;

    @Autowired
    ClassroomConfig classroomConfig;

    @Before
    public void setUp(){
        cohort = classroomConfig.currentCohort();
        prevCohort = classroomConfig.previousCohort();
    }

    @Test
    public void testSetUp(){
        Assert.assertNotNull(cohort);
    }

    @Test
    public void testCurrentCohort(){

        Assert.assertEquals(cohort,classroomConfig.currentCohort());
    }

    @Test
    public void testPreviousCohort(){

        Assert.assertEquals(prevCohort,classroomConfig.previousCohort());
    }
}
