package com.example.BeanFlavored;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class TestStudentConfig {
    Students currStudents;
    Students prevStudents;

    @Autowired
    StudentConfig studentConfig;

    @Before
    public void setUp(){
        currStudents = studentConfig.currentStudents();
        prevStudents = studentConfig.previousStudents();
    }

    @Test
    public void testCurrentStudents(){
        Assert.assertEquals(currStudents,studentConfig.currentStudents());
    }

    @Test
    public void testPreviousStudents(){
        Assert.assertEquals(prevStudents,studentConfig.previousStudents());
    }

    @Test
    public void testDifferent(){
        Assert.assertNotSame(currStudents,prevStudents);
    }
}
