package com.example.BeanFlavored;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;
import java.util.stream.StreamSupport;

@Configuration
public class InstructorsConfig {

    @Bean(name = "tcUSAInstructors")
    public Instructors tcUsaInstructors(){

        return new Instructors(
                new Instructor(01L, "Nhu"),
                new Instructor(02L, "Kris"),
                new Instructor(03L, "Dolio")
        );
    }

    @Bean(name = "tcUkInstructors")
    public Instructors tcUkInstructors(){

        return new Instructors(
                new Instructor(001L, "Froilan"),
                new Instructor(002L, "Wilhem"),
                new Instructor(003L, "Leon")
        );
    }

    @Primary
    @Bean(name = "instructors")
    public Instructors instructors(){
        return new Instructors(
                new Instructor(101L, "Kris"));
    }
}
