package com.example.BeanFlavored;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

public class TestInstructor {
    Instructor instructor = new Instructor(1001L,"Irma Teacher");
    Learner student = new Student(101L,"Jane Dane");
    Student student2 = new Student(102L, "John Doe");

    @Test
    public void testInstanceOf(){
        Assert.assertTrue(instructor instanceof Person);
    }

    @Test
    public void testConstructor(){
        Assert.assertEquals("Irma Teacher",instructor.getName());
    }

    @Test
    public void testTeach(){

        instructor.teach(student,4.0);

        double expected = 4.0;
        double actual = ((Student) student).getTotalStudyTime();

        Assert.assertEquals(expected,actual,0.01);
    }

    @Test
    public void testLecture(){
        List<Learner> students = new ArrayList<>();
        students.add(student);
        students.add(student2);
        instructor.lecture(students,6.0);

        double expected = 3.0;
        double actual = ((Student) student).getTotalStudyTime();

        Assert.assertEquals(expected,actual,0.01);
    }
}
