package com.example.BeanFlavored;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {
    Person person = new Person(1000L,"Tester");

    @Test
    public void testGetId(){
        Long expected = 1000L;
        Long actual = person.getId();

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testGetName(){
        String expected = "Tester";
        String actual = person.getName();

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testSetName(){
        String expected = "Another Tester";
        person.setName("Another Tester");
        String actual = person.getName();

        Assert.assertEquals(expected, actual);
    }
}
