package com.example.BeanFlavored;

import org.junit.Assert;
import org.junit.Test;

public class TestStudent {
    Student student = new Student(100L,"StudentA");

    @Test
    public void testInstanceOfPerson(){
        Assert.assertTrue(student instanceof Person);
    }

    @Test
    public void testConstructor(){
        Assert.assertEquals("StudentA", student.getName());
    }

    @Test
    public void testLearn(){
        student.learn(5.0);

        double expected = 5.0;
        double actual = student.getTotalStudyTime();

        Assert.assertEquals(expected,actual,0.01);
    }
}
